Skip to main content
`Ctrl`+`K`

# relabel_gexf_graph

relabel_gexf_graph(G)

  Relabel graph using “label” node keyword for node label.

  Parameters:
    G graph

      A NetworkX graph read from GEXF data

  Returns:
    H graph

      A NetworkX graph with relabeled nodes

  Raises:
    NetworkXError

      If node labels are missing or not unique while relabel=True.

  Notes

  This function relabels the nodes in a NetworkX graph with the “label” attribute. It also handles relabeling the specific GEXF node attributes “parents”, and “pid”.